Bug 146330 - [patch] net-p2p/transmission-cli: prevent automake run
Summary: [patch] net-p2p/transmission-cli: prevent automake run
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jeremy Messenger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-05 14:50 UTC by swell.k
Modified: 2010-05-09 05:40 UTC (History)
0 users

See Also:


Attachments
a.diff (877 bytes, patch)
2010-05-05 14:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-05 14:50:01 UTC
No need to change .am files if USE_AUTOTOOLS is not used.

How-To-Repeat: $ make
...
===>  Building for transmission-cli-1.93
Making all in third-party
gmake[1]: Entering directory `/a/pkgbuild/a/freebsd-ports/net-p2p/transmission-cli/work/transmission-1.93/third-party'
 cd .. && /bin/sh /a/pkgbuild/a/freebsd-ports/net-p2p/transmission-cli/work/transmission-1.93/missing --run automake-1.11 --gnu third-party/Makefile
aclocal.m4:16: warning: this file was generated for autoconf 2.63.
You have another version of autoconf.  It may work, but is not guaranteed to.
If you have problems, you may need to regenerate the build system entirely.
To do so, use the procedure documented by the package, typically `autoreconf'.
configure.ac:21: version mismatch.  This is Automake 1.11,
configure.ac:21: but the definition used by this AM_INIT_AUTOMAKE
configure.ac:21: comes from Automake 1.11.1.  You should recreate
configure.ac:21: aclocal.m4 with aclocal and run automake again.
WARNING: `automake-1.11' is probably too old.  You should only need it if
         you modified `Makefile.am', `acinclude.m4' or `configure.ac'.
         You might want to install the `Automake' and `Perl' packages.
         Grab them from any GNU archive site.
 cd .. && /bin/sh ./config.status third-party/Makefile
config.status: creating third-party/Makefile
gmake[1]: Leaving directory `/a/pkgbuild/a/freebsd-ports/net-p2p/transmission-cli/work/transmission-1.93/third-party'
...
Comment 1 Edwin Groothuis freebsd_committer 2010-05-05 14:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mezz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jeremy Messenger 2010-05-06 04:01:22 UTC
In the previous version of transmission, I did the patch in configure.ac  
or .in then ran all of that autotools. It's why I have the Makefile.*.  
It's a correct patch; it will be included when I update Transmission to  
1.93 which I am testing now. Will be commit in this weekend if everything  
goes well.

Cheers,
Mezz


-- 
mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
Comment 3 Jeremy Messenger freebsd_committer 2010-05-09 05:40:15 UTC
State Changed
From-To: open->closed

Committed, thanks!